moonspeak - LÖVE game localization library
==========================================

**moonspeak** is a basic internationalization library for
the [LÖVE](https://love2d.org/) engine.
It makes your game easy to translate into multiple languages.

**moonspeak** does the following:

* Loads dictionary files for your game.
* Allows selecting one of the many available languages.
* Translates messages by id (and provides default fallback to English).

Dependencies
============

**moonspeak** uses [df-serialize](https://git.doublefourteen.io/lua/df-serialize)
to read the dictionary file.

**df-serialize** is also available on [LuaRocks](https://luarocks.org/modules/1414codeforge/df-serialize).

Documentation
=============

Code is documented with [LDoc](https://github.com/lunarmodules/LDoc).

Documentation may be generated running the command:

```sh
ldoc init.lua
```

`ldoc` outputs to a local `doc` directory, open `index.html`
with your favorite browser to read it.

License
=======

See [LICENSE](LICENSE) for details.
